Index: tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/swt/ChartComposite.java
===================================================================
--- tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/swt/ChartComposite.java	(revision 1450)
+++ tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/swt/ChartComposite.java	(revision 1451)
@@ -16,6 +16,7 @@
 import org.txm.chartsengine.rcp.events.EventCallBack;
 import org.txm.chartsengine.rcp.events.EventCallBackHandler;
 import org.txm.rcp.editors.TXMEditor;
+import org.txm.utils.logger.Log;
 
 /**
  * Chart drawing area base composite.
@@ -109,7 +110,7 @@
 	public void setCurrentContextMenu(int index)	{
 		
 		// FIXME: DEbug
-		System.err.println("ChartComposite.setCurrentContextMenu(): setting menu to " + index + " / " + this.contextMenus.get(index));
+		Log.finest("ChartComposite.setCurrentContextMenu(): setting menu to " + index + " / " + this.contextMenus.get(index));
 		
 		this.setMenu(this.contextMenus.get(index));
 	}
Index: tmp/org.txm.chartsengine.jfreechart.rcp/src/org/txm/chartsengine/jfreechart/rcp/events/DefaultChartMouseListener.java
===================================================================
--- tmp/org.txm.chartsengine.jfreechart.rcp/src/org/txm/chartsengine/jfreechart/rcp/events/DefaultChartMouseListener.java	(revision 1450)
+++ tmp/org.txm.chartsengine.jfreechart.rcp/src/org/txm/chartsengine/jfreechart/rcp/events/DefaultChartMouseListener.java	(revision 1451)
@@ -27,6 +27,7 @@
 import org.txm.chartsengine.rcp.events.AbstractChartMouseListener;
 import org.txm.chartsengine.rcp.events.EventCallBack;
 import org.txm.chartsengine.rcp.events.EventCallBackHandler;
+import org.txm.utils.logger.Log;
 
 /**
  * Default JFC chart engine mouse listener.
@@ -232,8 +233,8 @@
 //		System.err.println("DefaultChartMouseListener.chartMouseClicked(): ");
 //    	System.out.println("DefaultChartMouseListener.chartMouseClicked(): call backs count: " + eventCallBacks.size());
 //        System.err.println("DefaultChartMouseListener.chartMouseClicked(): click count: " + event.getTrigger().getClickCount());
-		System.err.println("DefaultChartMouseListener.chartMouseClicked(): entity type: " + entity);
-        System.err.println("DefaultChartMouseListener.chartMouseClicked(): eventArea: " + eventArea);
+		Log.finest("DefaultChartMouseListener.chartMouseClicked(): entity type: " + entity);
+		Log.finest("DefaultChartMouseListener.chartMouseClicked(): eventArea: " + eventArea);
 
 		
 		// Set the composite current menu
@@ -247,7 +248,7 @@
 						)	{
 
 					// FIXME: Debug
-					System.err.println("DefaultChartMouseListener.chartMouseClicked(...).new Runnable() {...}.run(): menu = " + chartComponent.getChartEditor().getComposite().getMenu());
+					Log.finest("DefaultChartMouseListener.chartMouseClicked(...).new Runnable() {...}.run(): menu = " + chartComponent.getChartEditor().getComposite().getMenu());
 					
 					
 					chartComponent.getChartEditor().getComposite().getMenu().getItem(0).setText(t);
Index: tmp/org.txm.rcp/plugin.xml
===================================================================
--- tmp/org.txm.rcp/plugin.xml	(revision 1450)
+++ tmp/org.txm.rcp/plugin.xml	(revision 1451)
@@ -3031,6 +3031,12 @@
    </extension>
    <extension
          point="org.eclipse.ui.bindings">
+      <scheme
+            description="%scheme.description"
+            id="org.txm.rcp.scheme"
+            name="%scheme.name"
+            parentId="org.eclipse.ui.defaultAcceleratorConfiguration">
+      </scheme>
       <key
             commandId="org.txm.rcp.commands.ExecuteText"
             contextId="org.eclipse.ui.contexts.window"
@@ -3049,12 +3055,6 @@
             schemeId="org.txm.rcp.scheme"
             sequence="F12">
       </key>
-      <scheme
-            description="%scheme.description"
-            id="org.txm.rcp.scheme"
-            name="%scheme.name"
-            parentId="org.eclipse.ui.defaultAcceleratorConfiguration">
-      </scheme>
       <key
             commandId="org.txm.rcp.commands.ReloadCorporaView"
             contextId="org.txm.rcp.views.corpora.CorporaView"
